UsernamePasswordCredentials (HttpClient Library (Version 3.1))
Date: 2019-01-01

org.apache.commons.httpclient

## Class UsernamePasswordCredentials

- java.lang.Object
- - org.apache.commons.httpclient.UsernamePasswordCredentials

- All Implemented Interfaces:
    Credentials
  Direct Known Subclasses:
    NTCredentials

      public class UsernamePasswordCredentials
      extends java.lang.Object
      implements Credentials

  Username and password `Credentials`.

  Version:
    $Revision: 480424 $ $Date: 2006-11-29 06:56:49 +0100 (Wed, 29 Nov 2006) $
  Author:
    Remy Maucherat, Sean C. Sullivan, Mike Bowler, Oleg Kalnichevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsernamePasswordCredentials()` Deprecated. Do not use. Null user name no longer allowed
    `UsernamePasswordCredentials(java.lang.String usernamePassword)` The constructor with the username and password combined string argument.
    `UsernamePasswordCredentials(java.lang.String userName, java.lang.String password)` The constructor with the username and password arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` These credentials are assumed equal if the username and password are the same.
    `java.lang.String` | `getPassword()` Password property getter.
    `java.lang.String` | `getUserName()` User name property getter.
    `int` | `hashCode()` Does a hash of both user name and password.
    `void` | `setPassword(java.lang.String password)` Deprecated. Do not use. The UsernamePasswordCredentials objects should be immutable
    `void` | `setUserName(java.lang.String userName)` Deprecated. Do not use. The UsernamePasswordCredentials objects should be immutable
    `java.lang.String` | `toString()` Get this object string.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UsernamePasswordCredentials

          public UsernamePasswordCredentials()

      Deprecated. Do not use. Null user name no longer allowed
      Default constructor.

    - #### UsernamePasswordCredentials

          public UsernamePasswordCredentials(java.lang.String usernamePassword)

      The constructor with the username and password combined string argument.
      Parameters:
        `usernamePassword` - the username:password formed string
      See Also:
        `toString()`

    - #### UsernamePasswordCredentials

          public UsernamePasswordCredentials(java.lang.String userName,
                                             java.lang.String password)

      The constructor with the username and password arguments.
      Parameters:
        `userName` - the user name
        `password` - the password

  - ### Method Detail

    - #### setUserName

          public void setUserName(java.lang.String userName)

      Deprecated. Do not use. The UsernamePasswordCredentials objects should be immutable
      User name property setter. User name may not be null.
      Parameters:
        `userName` -
      See Also:
        `getUserName()`

    - #### getUserName

          public java.lang.String getUserName()

      User name property getter.
      Returns:
        the userName
      See Also:
        `setUserName(String)`

    - #### setPassword

          public void setPassword(java.lang.String password)

      Deprecated. Do not use. The UsernamePasswordCredentials objects should be immutable
      Password property setter.
      Parameters:
        `password` -
      See Also:
        `getPassword()`

    - #### getPassword

          public java.lang.String getPassword()

      Password property getter.
      Returns:
        the password
      See Also:
        `setPassword(String)`

    - #### toString

          public java.lang.String toString()

      Get this object string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the username:password formed string

    - #### hashCode

          public int hashCode()

      Does a hash of both user name and password.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        The hash code including user name and password.

    - #### equals

          public boolean equals(java.lang.Object o)

      These credentials are assumed equal if the username and password are the same.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - The other object to compare with.
      Returns:
        `true` if the object is equivalent.

Copyright (c) 1999-2005 - Apache Software Foundation